if( -not (Get-Command -ListImported Set-PowerLinePrompt -ErrorAction Ignore) ) { return }

$global:PromptCache = [ordered]@{
    OSName = [SystemName]::_GetValidValues("",$true,$true) | Select-Object -First 1
    Username = @($env:USER, $env:USERNAME -ne "")[0]
    Hostname = $(hostname).Trim()
    ColorFiller = $([char]0x2588)
    Separator = " $(
            [PoshCode.Pansies.Entities]::NerdFonts['nf-pl-left_hard_divider']
        )"
    ReverseSeparator = "$(
            [PoshCode.Pansies.Entities]::NerdFonts['nf-pl-right_hard_divider']
        ) "
    # Separator = "$(
    #         [char]::ConvertFromUtf32(0x2588)
    #     )$( [PoshCode.Pansies.Entities]::ExtendedCharacters.ColorSeparator.Trim()[-1]
    #     ) "
    # ReverseSeparator = " $(
    #         [PoshCode.Pansies.Entities]::ExtendedCharacters.ColorSeparator.Trim()[0]
    #     )$( [char]::ConvertFromUtf32(0x2588))"

}

Set-PowerLinePrompt
