# PowerShell Scripts

These are the scripts that go into `$MyPSScriptRoot` which is part of my `$env:PATH`.

The development of these is documented in my blog: https://blog.lksz.me

They are provided 'as is' for your review and for your reuse.

### This is the way
Below are instrucitons for initializing/setting up this envrionment:
```PowerShell
iwr https://lksz.me/pwsz | iex
_Init # [-WriteInitScript] [-sudo] [-Force] [-NoGitClone] [-GitURL <alternative git URL>] [-WhatIf] [-Confirm] [<CommonParameters>]
```

This sets up the `$PROFILE` file, and initilizes the default dir `$MyPSScriptRoot` with a git clone of this repo.
The `https://lksz.me/pwsz` actually points to the [`Setup-ScriptEnv.ps1`](Setup-ScriptEnv.ps1) script, which means, that after you have the `Scripts` directory setup, you can call `Setup-ScriptEnv -WriteInitScript` to update the `$PROFILE` after the setup script has been modified (or updated via `git pull`).

